#include "Player.hpp"

#include <vector>

class Doomer : public Player {
    std::vector<reaction_t> results;
  public:
    Doomer() {
        name = "Doomer";
    }

    void new_game() override { ; }
    void push_result(reaction_t opponents_last_reaction) override {
        results.push_back(opponents_last_reaction);
    }

    reaction_t play() override {
        return results.empty() || results.back() == CONFLICT ? CONFLICT : COOPERATE;
    }
};
